Callisto4Bootloader: Data Fields

Callisto4Bootloader

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- SA : CSU_Type
- SADDR : DMA_Type
- SAMR : LPI2C_Type
- SASR : LPI2C_Type
- SBLIM : TRNG_Type
- SBMR1 : c4_SRC_reg_t , SRC_Type
- SBMR2 : c4_SRC_reg_t , SRC_Type
- SBUSCFG : USB_Type
- SCFGR1 : LPI2C_Type
- SCFGR2 : LPI2C_Type
- sclkPadSettingOverride : _FlexSPIConfig , FlexSPI_Header_t
- SCMC : TRNG_Type
- SCMISC : TRNG_Type
- SCML : TRNG_Type
- SCR : c4_SRC_reg_t , CMP_Type , LPI2C_Type , SCB_Type , SPDIF_Type , SRC_Type
- SCR1C : TRNG_Type
- SCR1L : TRNG_Type
- SCR2C : TRNG_Type
- SCR2L : TRNG_Type
- SCR3C : TRNG_Type
- SCR3L : TRNG_Type
- SCR4C : TRNG_Type
- SCR4L : TRNG_Type
- SCR5C : TRNG_Type
- SCR5L : TRNG_Type
- SCR6PC : TRNG_Type
- SCR6PL : TRNG_Type
- SCS : OCOTP_Type
- SCS_CLR : OCOTP_Type
- SCS_SET : OCOTP_Type
- SCS_TOG : OCOTP_Type
- SCTRL : TMR_Type
- SDCTL : TRNG_Type
- SDER : LPI2C_Type
- SDRAMCR0 : SEMC_Type
- SDRAMCR1 : SEMC_Type
- SDRAMCR2 : SEMC_Type
- SDRAMCR3 : SEMC_Type
- SEC_CFG : TRNG_Type
- secConfig : c4_SRC_reg_t
- sectorSize : _flexspi_nor_config , serialNOR_t
- SEEI : DMA_Type
- SEL0 : XBARA_Type , XBARB_Type
- SEL1 : XBARA_Type , XBARB_Type
- SEL10 : XBARA_Type
- SEL11 : XBARA_Type
- SEL12 : XBARA_Type
- SEL13 : XBARA_Type
- SEL14 : XBARA_Type
- SEL15 : XBARA_Type
- SEL16 : XBARA_Type
- SEL17 : XBARA_Type
- SEL18 : XBARA_Type
- SEL19 : XBARA_Type
- SEL2 : XBARA_Type , XBARB_Type
- SEL20 : XBARA_Type
- SEL21 : XBARA_Type
- SEL22 : XBARA_Type
- SEL23 : XBARA_Type
- SEL24 : XBARA_Type
- SEL25 : XBARA_Type
- SEL26 : XBARA_Type
- SEL27 : XBARA_Type
- SEL28 : XBARA_Type
- SEL29 : XBARA_Type
- SEL3 : XBARA_Type , XBARB_Type
- SEL30 : XBARA_Type
- SEL31 : XBARA_Type
- SEL32 : XBARA_Type
- SEL33 : XBARA_Type
- SEL34 : XBARA_Type
- SEL35 : XBARA_Type
- SEL36 : XBARA_Type
- SEL37 : XBARA_Type
- SEL38 : XBARA_Type
- SEL39 : XBARA_Type
- SEL4 : XBARA_Type , XBARB_Type
- SEL40 : XBARA_Type
- SEL41 : XBARA_Type
- SEL42 : XBARA_Type
- SEL43 : XBARA_Type
- SEL44 : XBARA_Type
- SEL45 : XBARA_Type
- SEL46 : XBARA_Type
- SEL47 : XBARA_Type
- SEL48 : XBARA_Type
- SEL49 : XBARA_Type
- SEL5 : XBARA_Type , XBARB_Type
- SEL50 : XBARA_Type
- SEL51 : XBARA_Type
- SEL52 : XBARA_Type
- SEL53 : XBARA_Type
- SEL54 : XBARA_Type
- SEL55 : XBARA_Type
- SEL56 : XBARA_Type
- SEL57 : XBARA_Type
- SEL58 : XBARA_Type
- SEL59 : XBARA_Type
- SEL6 : XBARA_Type , XBARB_Type
- SEL60 : XBARA_Type
- SEL61 : XBARA_Type
- SEL62 : XBARA_Type
- SEL63 : XBARA_Type
- SEL64 : XBARA_Type
- SEL65 : XBARA_Type
- SEL7 : XBARA_Type , XBARB_Type
- SEL8 : XBARA_Type
- SEL9 : XBARA_Type
- SELECT_INPUT : IOMUXC_Type
- SELECT_INPUT_1 : IOMUXC_Type
- self : IVT_t
- seqId : _FlexSpiXfer , _lut_sequence
- seqNum : _FlexSpiXfer , _lut_sequence
- serialBootInterface : run_bootloader_ctx_t
- serialClkFreq : _FlexSPIConfig , FlexSPI_Header_t
- serialNorType : _flexspi_nor_config
- SERQ : DMA_Type
- SERV : EWM_Type
- sflashA1Size : _FlexSPIConfig , FlexSPI_Header_t
- sflashA2Size : _FlexSPIConfig , FlexSPI_Header_t
- sflashB1Size : _FlexSPIConfig , FlexSPI_Header_t
- sflashB2Size : _FlexSPIConfig , FlexSPI_Header_t
- sflashPadType : _FlexSPIConfig , FlexSPI_Header_t
- SFPA : CONTROL_Type
- SFTW : c4_WDOG_reg_t
- SHCSR : SCB_Type
- SHIFTBUF : FLEXIO_Type
- SHIFTBUFBBS : FLEXIO_Type
- SHIFTBUFBIS : FLEXIO_Type
- SHIFTBUFBYS : FLEXIO_Type
- SHIFTBUFHWS : FLEXIO_Type
- SHIFTBUFNBS : FLEXIO_Type
- SHIFTBUFNIS : FLEXIO_Type
- SHIFTCFG : FLEXIO_Type
- SHIFTCTL : FLEXIO_Type
- SHIFTEIEN : FLEXIO_Type
- SHIFTERR : FLEXIO_Type
- SHIFTSDEN : FLEXIO_Type
- SHIFTSIEN : FLEXIO_Type
- SHIFTSTAT : FLEXIO_Type
- SHIFTSTATE : FLEXIO_Type
- SHPR : SCB_Type
- SIC : SPDIF_Type
- SIE : SPDIF_Type
- SIER : LPI2C_Type
- Sint : arm_rfft_fast_instance_f32
- SIS : SPDIF_Type
- SJC_RESP0 : OCOTP_Type
- SJC_RESP1 : OCOTP_Type
- SLAST : DMA_Type
- SLEEPCNT : DWT_Type
- SM : PWM_Type
- SOFF : DMA_Type
- softwareResetExtension : _wdog_config
- SPPR : TPI_Type
- SPSEL : CONTROL_Type
- SR : GPT_Type , LPSPI_Type
- SRAMCR0 : SEMC_Type
- SRAMCR1 : SEMC_Type
- SRAMCR2 : SEMC_Type
- SRAMCR3 : SEMC_Type
- SRCD : SPDIF_Type
- SRCSH : SPDIF_Type
- SRCSL : SPDIF_Type
- SRDR : LPI2C_Type
- SRE : c4_WDOG_reg_t
- SRFM : SPDIF_Type
- SRK0 : OCOTP_Type
- SRK1 : OCOTP_Type
- SRK2 : OCOTP_Type
- SRK3 : OCOTP_Type
- SRK4 : OCOTP_Type
- SRK5 : OCOTP_Type
- SRK6 : OCOTP_Type
- SRK7 : OCOTP_Type
- SRK_REVOKE : OCOTP_Type
- SRL : SPDIF_Type
- SRPC : SPDIF_Type
- SRQ : SPDIF_Type
- SRR : SPDIF_Type
- SRS : c4_WDOG_reg_t
- SRSR : c4_SRC_reg_t , SRC_Type
- SRU : SPDIF_Type
- SSPSR : TPI_Type
- SSR : LPI2C_Type
- SSRT : DMA_Type
- STAR : LPI2C_Type
- startLut : FlexSPI_Header_t
- STAT : DCP_Type , LCDIF_Type , LPUART_Type , PXP_Type
- STAT_CLR : DCP_Type , PXP_Type
- STAT_SET : DCP_Type , PXP_Type
- STAT_TOG : DCP_Type , PXP_Type
- state : arm_pid_instance_f32 , arm_pid_instance_q15 , arm_pid_instance_q31
- stateIndex : arm_fir_sparse_instance_f32 , arm_fir_sparse_instance_q15 , arm_fir_sparse_instance_q31 , arm_fir_sparse_instance_q7
- STATUS : BEE_Type , TRNG_Type , USBPHY_Type
- status_override : _serial_nor_config_option
- STC : SPDIF_Type
- STCSCH : SPDIF_Type
- STCSCL : SPDIF_Type
- STDR : LPI2C_Type
- STIR : NVIC_Type , SCB_Type
- STL : SPDIF_Type
- STR : SPDIF_Type
- STS : PWM_Type
- STS0 : FLEXSPI_Type , SEMC_Type
- STS1 : FLEXSPI_Type , SEMC_Type
- STS10 : SEMC_Type
- STS11 : SEMC_Type
- STS12 : SEMC_Type
- STS13 : SEMC_Type
- STS14 : SEMC_Type
- STS15 : SEMC_Type
- STS2 : FLEXSPI_Type , SEMC_Type
- STS3 : SEMC_Type
- STS4 : SEMC_Type
- STS5 : SEMC_Type
- STS6 : SEMC_Type
- STS7 : SEMC_Type
- STS8 : SEMC_Type
- STS9 : SEMC_Type
- SW_GP1 : OCOTP_Type
- SW_GP20 : OCOTP_Type
- SW_GP21 : OCOTP_Type
- SW_GP22 : OCOTP_Type
- SW_GP23 : OCOTP_Type
- SW_MUX_CTL_PAD : IOMUXC_Type
- SW_MUX_CTL_PAD_1 : IOMUXC_Type
- SW_MUX_CTL_PAD_PMIC_ON_REQ : IOMUXC_SNVS_Type
- SW_MUX_CTL_PAD_PMIC_STBY_REQ : IOMUXC_SNVS_Type
- SW_MUX_CTL_PAD_WAKEUP : IOMUXC_SNVS_Type
- SW_PAD_CTL_PAD : IOMUXC_Type
- SW_PAD_CTL_PAD_1 : IOMUXC_Type
- SW_PAD_CTL_PAD_ONOFF : IOMUXC_SNVS_Type
- SW_PAD_CTL_PAD_PMIC_ON_REQ : IOMUXC_SNVS_Type
- SW_PAD_CTL_PAD_PMIC_STBY_REQ : IOMUXC_SNVS_Type
- SW_PAD_CTL_PAD_POR_B : IOMUXC_SNVS_Type
- SW_PAD_CTL_PAD_TEST_MODE : IOMUXC_SNVS_Type
- SW_PAD_CTL_PAD_WAKEUP : IOMUXC_SNVS_Type
- SW_STICKY : OCOTP_Type
- SWCOUT : PWM_Type
- SYS_CTRL : USDHC_Type